PRIOn Logo

CVE-2023-28432 Information disclosure

Immediate
Remediate Within 48 Hours

CVE Information

Original CVE data

Published:
Updated:

Minio is a Multi-Cloud Object Storage framework. In a cluster deployment starting with RELEASE.2019-12-17T23-16-33Z and prior to RELEASE.2023-03-20T20-16-18Z, MinIO returns all environment variables, including `MINIO_SECRET_KEY` and `MINIO_ROOT_PASSWORD`, resulting in information disclosure. All users of distributed deployment are impacted. All users are advised to upgrade to RELEASE.2023-03-20T20-16-18Z.

CWE:
CVSS v2-
CVSS v37.5
CVSS:3.1/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:N/A:N
References
https://github.com/minio/minio/security/advisories/GHSA-6xvq-wj2x-3h3q
https://github.com/minio/minio/releases/tag/RELEASE.2023-03-20T20-16-18Z
https://www.greynoise.io/blog/openai-minio-and-why-you-should-always-use-docker-cli-scan-to-keep-your-supply-chain-clean
https://twitter.com/Andrew___Morris/status/1639325397241278464
https://viz.greynoise.io/tag/minio-information-disclosure-attempt
Affected Vendors

Minio - (1)

Basic Analysis

Common vulnerability metrics

Vulnerabilty type as detected by PRIOnengine

Information disclosure

CVSS Scores as calculated by PRIOnengine
CVSS v25
AV:N/AC:L/AU:N/C:P/I:N/A:N
CVSS v36.5
AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:N/A:N
MITRE CWE Top 25

-

Exploits

Exploits are available either through exploit packs, Github repos or the world wide web in general.

Active Exploitation

Vulnerability is referenced under CISA's Known Exploited Vulnerabilities (KEV) catalog. See the KEV Catalog

Social Network Activity

Vulnerability is mentioned or trending in social media.

Threat Actor Activity

Vulnerability is being actively exploited by threat actors during campaigns.

Cybersecurity Frameworks

How the vulnerability maps against various cybersecurity frameworks

T1591 - Gather Victim Org Information
T1590 - Gather Victim Network Information
T1589.001 - Gather Victim Identity Information (Credentials)
T1552 - Unsecured Credentials
T1082 - System Information Discovery
T1003 - OS Credential Dumping

Compliance Impact

How the submited vulnerability affects compliance

PCI DSS v3.2.1-6.5.5 - Improper Error Handling

Web Application Security Frameworks

Applicable if the issue likely affects a web application

-